Package Info

python-pytest-reqs


Pytest plugin to check pinned requirements


Development/Languages/Python

This plugin checks the requirements files for specific versions, and compares those versions with the installed libraries in the environment, failing the test suite if any are invalid or out of date.

This can be used to keep virtual environments up to date, and ensuring that the test suite is always being passed with the requirements that have been specified.

It also verifies that the requirements files are syntatically valid.


License: MIT
URL: https://github.com/di/pytest-reqs

Categories

Releases

Package Version Update ID Released Package Hub Version Platforms Subpackages
0.2.0-bp151.1.3 info GA Release 2019-07-17 15 SP1
  • AArch64
  • ppc64le
  • s390x
  • x86-64
  • python2-pytest-reqs
  • python3-pytest-reqs
0.2.0-bp152.3.16 info GA Release 2020-04-17 15 SP2
  • AArch64
  • ppc64le
  • s390x
  • x86-64
  • python2-pytest-reqs
  • python3-pytest-reqs
0.2.0-bp153.1.16 info GA Release 2021-03-06 15 SP3
  • AArch64
  • ppc64le
  • s390x
  • x86-64
  • python2-pytest-reqs
  • python3-pytest-reqs
0.2.0-bp154.1.26 info GA Release 2022-05-09 15 SP4 (BETA)
  • AArch64
  • ppc64le
  • s390x
  • x86-64
  • python3-pytest-reqs